import { Component, OnInit, ViewChild } from '@angular/core';
import { GridComponent, ToolbarItems, ExcelExportProperties, PageSettingsModel } from '@syncfusion/ej2-angular-grids';
import { ClickEventArgs } from '@syncfusion/ej2-angular-navigations';

@Component({
  selector: 'app-complaints',
  templateUrl: './complaints.component.html',
  styleUrls: ['./complaints.component.scss']
})
export class ComplaintsComponent implements OnInit {

  data: object[]
  toolbarOptions: ToolbarItems[];
  pageSettings: PageSettingsModel;
  @ViewChild('grid', {static: false}) grid: GridComponent;

  constructor() { }

  ngOnInit() {

    this.data =  [
      {
        ship: 123,
        specie: 'Camaron',
        subspecie: 'Blanco',
        weight: '15',
        width: '',
        amount: '',
        latitude: '-18.22858',
        longitude: '14.58485',
        createdAt: new Date(1561460967784)
      },
      {
        ship: 77184,
        specie: 'Raya',
        subspecie: '',
        weight: '',
        width: '1.35',
        amount: '2',
        latitude: '-18.22858',
        longitude: '14.58485',
        createdAt: new Date(1561460967784)
      },
      {
        ship: 17547,
        specie: 'Tiburon',
        subspecie: '',
        weight: '',
        width: '1',
        amount: '5',
        latitude: '-18.22858',
        longitude: '14.58485',
        createdAt: new Date(1561460967784)
      },
      {
        ship: 4587,
        specie: 'Camaron',
        subspecie: 'Blanco',
        weight: '21',
        width: '',
        amount: '114',
        latitude: '-18.22858',
        longitude: '14.58485',
        createdAt: new Date(1561460967784)
      },
      {
        ship: 8728,
        specie: 'Manjua',
        subspecie: '',
        weight: '',
        width: '0.30',
        amount: '15',
        latitude: '-18.22858',
        longitude: '14.58485',
        createdAt: new Date(1561460967784)
      },
      {
        ship: 9987,
        specie: 'Tiburon',
        subspecie: '',
        weight: '',
        width: '0.8',
        amount: '3',
        latitude: '-18.22858',
        longitude: '14.58485',
        createdAt: new Date(1561460967784)
      },
      {
        ship: 3526,
        specie: 'Camaron',
        subspecie: 'Blanco',
        weight: '34',
        width: '',
        amount: '100',
        latitude: '-18.22858',
        longitude: '14.58485',
        createdAt: new Date(1561460967784)
      },
      {
        ship: 9278,
        specie: 'Camaron',
        subspecie: 'Cafe',
        weight: '45',
        width: '',
        amount: '150',
        latitude: '-18.22858',
        longitude: '14.58485',
        createdAt: new Date(1561460967784)
      }
    ]

    this.toolbarOptions = ['ExcelExport'];
  }

  toolbarClick(args: ClickEventArgs): void {
    if (args.item.id === 'Grid_excelexport') { // 'Grid_excelexport' -> Grid component id + _ + toolbar item name
      const excelExportProperties: ExcelExportProperties = {
        fileName: 'bitacora.xlsx'
      };
      this.grid.excelExport(excelExportProperties);
    }
}

}
